local L = PA_LOCALIZATION;

local isClassic = (WOW_PROJECT_ID == WOW_PROJECT_CLASSIC or WOW_PROJECT_ID == WOW_PROJECT_BURNING_CRUSADE_CLASSIC);

-- https://wowpedia.fandom.com/wiki/UiMapID <== Map ID's
-- https://wowpedia.fandom.com/wiki/Enum.ItemQuality <== Item Quality ID's
-- https://wowpedia.fandom.com/wiki/Enum_LE_EXPANSION <== Expansion ID's

-- regular item structure --

-- [itemID] = {
-- 	['skill'] = 1,
-- 	['items'] = {
-- 		[1] = {['chance'] = '100%', itemID},
-- 	},
-- 	['found'] = { -- For locations
-- 		['location'] = {MapID},
-- 		['chance'] = '100%',
-- 		['node'] = {itemID}
-- 	},
-- }

-- Gear item structure --
-- 	[QualityID] = {
-- 		{
-- 			['min'] = itemLevel, ['max'] = itemLevel, ['expansion'] = ExpansionID,
-- 			['weapon'] = {
-- 				['skill'] = 1,
-- 				['items'] = {
-- 					[1] = {['chance'] = '±75%', itemID},
-- 				},
-- 			},
-- 			['armor'] = {
-- 				['skill'] = 1,
-- 				['items'] = {
-- 					[1] = {['chance'] = '±35%', itemID},
-- 				}
-- 			}
-- 		},
-- 	},

-- Disenchant item structure --
-- [itemID] = {
-- 		['skill'] = 1,
-- 		['min'] = itemLevel, ['max'] = itemLevel,
-- 		['text'] = {
-- 			[1] = {['chance'] = '100%', ['quality'] = QualityID, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
-- 		},
-- 	}

-- Start of Database --

table_herb = {
	-- Skill 1
	[765] = { -- Silverleaf
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39151},
		},
		['found'] = {
			['location'] = {37, 18, 7, 57, 27, 94, 97, 106, 1, 95, 21, 179, 48, 202, 52, 174, 378, 62, 30, 10, 76},
		},
	};
	[2447] = { -- Peacebloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39151},
		},
		['found'] = {
			['location'] = {1, 57, 18, 97, 7, 27, 94, 179, 37, 106, 174, 202, 95, 48, 52, 76, 378, 30, 62, 21, 10},
		},
	};
	[2449] = { -- Earthroot
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39151},
		},
		['found'] = {
			['location'] = {1, 21, 18, 37, 49, 57, 7, 27, 94, 97, 95, 174, 106, 378, 52, 179, 202, 48, 76, 10, 62},
		},
	};
	
	-- Skill 25
	[785] = { -- Mageroyal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±25%', 43103},
		},
		['found'] = {
			['location'] = {1, 10, 21, 25, 47, 48, 49, 52, 56, 57, 62, 63, 65, 76, 95, 106},
			['chance'] = '±20%',
			['node'] = {L['Frozen Herb']},
		},
	};
	[2450] = { -- Briarthorn
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±25%', 43103},
		},
		['found'] = {
			['location'] = {25, 62, 21, 10, 76, 48, 49, 52, 106, 56, 65, 95, 47, 57, 63},
			['chance'] = '±40%',
			['node'] = {L['Frozen Herb']},
		},
	};
	[2452] = { -- Swiftthistle
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±25%', 43103},
		},
		['found'] = {
			['chance'] = '±35%',
			['node'] = {785, 2450},
		},
	};
	[2453] = { -- Bruiseweed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±50%', 43103},
		},
		['found'] = {
			['location'] = {50, 47, 49, 56, 63, 65, 52, 26, 25, 14, 95, 106, 48, 10},
			['chance'] = '±40%',
			['node'] = {L['Frozen Herb']},
		},
	};
	[3820] = { -- Stranglekelp
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±50%', 43103},
		},
		['found'] = {
			['location'] = {64, 52, 56, 210, 22, 25, 50, 51, 26, 106, 70, 21, 62, 95, 63, 224},
		},
	};
	
	-- Vanilla herbs (Skill: 75) --
	[3355] = { -- Wild Steelbloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39338},
			[2] = {['chance'] = '±25%', 43104},
		},
		['found'] = {
			['location'] = {14, 65, 50, 63, 66, 56, 47, 224, 26, 25, 64},
		},
	};
	[3356] = { -- Kingsblood
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39338},
			[2] = {['chance'] = '±50%', 43104},
		},
		['found'] = {
			['location'] = {50, 56, 22, 14, 199, 66, 26, 47, 70, 224, 69, 10, 63, 65},
		},
	};
	[3357] = { -- Liferoot
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39338},
			[2] = {['chance'] = '±50%', 43104},
		},
		['found'] = {
			['location'] = {23, 22, 50, 70, 56, 14, 64, 224, 26, 63, 66, 199, 109, 210},
		},
	};
	[3369] = { -- Grave Moss
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39338},
			[2] = {['chance'] = '±25%', 43104},
		},
		['found'] = {
			['location'] = {47, 14, 56, 25},
		},
	};
	
	-- Vanilla herbs (Skill: 125) --
	[3818] = { -- Fadeleaf
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39339},
			[2] = {['chance'] = '±25%', 43105},
		},
		['found'] = {
			['location'] = {69, 210, 70, 14, 22, 26, 224},
		},
	};
	[3819] = { -- Dragon's Teeth
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±50%', 43103},
		},
		['found'] = {
			['location'] = {15},
		},
	};
	[3821] = { -- Goldthorn
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±25%', 43103},
		},
		['found'] = {
			['location'] = {14, 26, 70, 224, 199, 69, 66, 210},
		},
	};
	[3358] = { -- Khadgar's Whisker
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39334},
			[2] = {['chance'] = '±50%', 43103},
		},
		['found'] = {
			['location'] = {23, 22, 69, 210, 14, 70, 26, 66, 199, 224},
		},
	};
	
	-- Vanilla herbs (Skill: 175) --
	[8831] = { -- Purple Lotus
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39340},
			[2] = {['chance'] = '±25%', 43106},
		},
		['found'] = {
			['location'] = {77},
		},
	};
	[8836] = { -- Arthas' Tears
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39340},
			[2] = {['chance'] = '±25%', 43106},
		},
		['found'] = {
			['location'] = {22, 23, 77},
		},
	};
	[8838] = { -- Sungrass
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39340},
			[2] = {['chance'] = '±25%', 43106},
		},
		['found'] = {
			['location'] = {23, 64, 15, 36, 81, 32, 71, 78, 26, 22, 17, 69, 76, 77},
		},
	};
	[4625] = { -- Firebloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39340},
			[2] = {['chance'] = '±25%', 43106},
		},
		['found'] = {
			['location'] = {71, 32, 36, 15, 17},
		},
	};
	[8839] = { -- Blindweed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39340},
			[2] = {['chance'] = '±50%', 43106},
		},
		['found'] = {
			['location'] = {69, 102, 22, 26, 78, 51},
		},
	};
	[8845] = { -- Ghost Mushroom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39340},
			[2] = {['chance'] = '±50%', 43106},
		},
		['found'] = {
			['location'] = {78, 102, 26},
		},
	};
	[8846] = { -- Gromsblood
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39340},
			[2] = {['chance'] = '±50%', 43106},
		},
		['found'] = {
			['location'] = {77, 17, 66, 63},
		},
	};
	
	-- Vanilla herbs (Skill: 210) --
	[8153] = { -- Wildvine
		['skill'] = 1,
		['found'] = {
			['location'] = {8831},
		},
	};
	
	-- Vanilla herbs (Skill: 225) --
	[13463] = { -- Dreamfoil
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39341},
			[2] = {['chance'] = '±25%', 43107},
		},
		['found'] = {
			['location'] = {17, 81, 77, 100, 36, 102, 78, 76, 22, 23},
		},
	};
	[13464] = { -- Golden Sansam
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39341},
			[2] = {['chance'] = '±25%', 43107},
		},
		['found'] = {
			['location'] = {51, 77, 100, 81, 102, 78, 15, 17, 109, 76, 26},
		},
	};
	[13465] = { -- Mountain Silversage
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39341},
			[2] = {['chance'] = '±50%', 43107},
		},
		['found'] = {
			['location'] = {83, 100, 78, 17, 81, 77},
		},
	};
	[13466] = { -- Sorrowmoss
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39341},
			[2] = {['chance'] = '±50%', 43107},
		},
		['found'] = {
			['location'] = {51},
		},
	};
	[13467] = { -- Icecap
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39341},
			[2] = {['chance'] = '±50%', 43107},
		},
		['found'] = {
			['location'] = {83},
		},
	};
	
	-- Vanilla herbs (Skill: 300) --
	[13468] = { -- Black Lotus
		['skill'] = 1,
		['found'] = {
			['location'] = {81, 17, 23, 83},
		},
	};
	
	-- The Burning Crusade herbs --
	[22785] = { -- Felweed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±25%', 43108},
		},
		['found'] = {
			['location'] = {107, 100, 102, 108, 105, 104, 109},
		},
	};
	[22786] = { -- Dreaming Glory
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±25%', 43108},
		},
		['found'] = {
			['location'] = {107, 105, 108, 109, 100, 102, 104},
		},
	};
	[22787] = { -- Ragveil
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±25%', 43108},
		},
		['found'] = {
			['location'] = {102},
		},
	};
	[22789] = { -- Terocone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±25%', 43108},
		},
		['found'] = {
			['location'] = {108, 104},
		},
	};
	[22790] = { -- Ancient Lichen
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±50%', 43108},
		},
		['found'] = {
			['location'] = {262, 272, 256, 258, 263, 260, 265},
		},
	};
	[22791] = { -- Netherbloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±50%', 43108},
		},
		['found'] = {
			['location'] = {109},
		},
	};
	[22792] = { -- Nightmare Vine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±50%', 43108},
		},
		['found'] = {
			['location'] = {104, 105, 100, 122},
		},
	};
	[22793] = { -- Mana Thistle
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39342},
			[2] = {['chance'] = '±50%', 43108},
		},
		['found'] = {
			['location'] = {122, 108, 104, 107, 105, 109},
		},
	};
	
	[22788] = { -- Flame Cap
		['skill'] = 1,
		['found'] = {
			['location'] = {102},
		},
	};
	
	[22794] = { -- Fel Lotus
		['skill'] = 1,
		['found'] = {
			['chance'] = '±5%',
			['node'] = {22791, 22790, 22785, 22788, 22793, 22792, 22789, 22786, L['Netherdust Bush'], 22787},
		},
	};
	
	-- Wrath of the Lich King herbs --
	[36901] = { -- Goldclover
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±25%', 43109},
		},
		['found'] = {
			['location'] = {116, 117, 114, 119, 115},
			['chance'] = '±60%',
			['node'] = {L['Frozen Herb']},
		},
	};
	[36903] = { -- Adder's Tongue
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±50%', 43109},
		},
		['found'] = {
			['location'] = {119},
		},
	};
	[36904] = { -- Tiger Lily
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±25%', 43109},
		},
		['found'] = {
			['location'] = {119, 116, 117, 114},
			['chance'] = '±20%',
			['node'] = {L['Frozen Herb']},
		},
	};
	[36905] = { -- Lichbloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±50%', 43109},
		},
		['found'] = {
			['location'] = {120, 118, 123},
		},
	};
	[36906] = { -- Icethorn
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±50%', 43109},
		},
		['found'] = {
			['location'] = {120, 118, 123},
		},
	};
	[36907] = { -- Talandra's Rose
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±25%', 43109},
		},
		['found'] = {
			['location'] = {121},
			['chance'] = '±20%',
			['node'] = {L['Frozen Herb']},
		},
	};
	[37921] = { -- Deadnettle
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±25%', 43109},
		},
		['found'] = {
			['chance'] = '±35%',
			['node'] = {36904, 36908, 36901, 36907},
		},
	};
	[39970] = { -- Fire Leaf
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 39343},
			[2] = {['chance'] = '±25%', 43109},
		},
		['found'] = {
			['location'] = {114},
		},
	};
	[36908] = { -- Frost Lotus
		['skill'] = 1,
		['found'] = {
			['location'] = {123},
			['chance'] = '±10%',
			['node'] = {39970, 36907, 36904, 36903, 36901, 36906, 36905},
		},
	};
	
	-- Cataclysm herbs --
	[52983] = { -- Cinderbloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 61979},
			[2] = {['chance'] = '±25%', 61980},
		},
		['found'] = {
			['location'] = {207, 241, 198, 249, 245, 244},
		},
	};
	[52984] = { -- Stormvine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 61979},
			[2] = {['chance'] = '±25%', 61980},
		},
		['found'] = {
			['location'] = {198, 204, 205, 201},
		},
	};
	[52985] = { -- Azshara's Veil
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 61979},
			[2] = {['chance'] = '±25%', 61980},
		},
		['found'] = {
			['location'] = {205, 245, 204, 201, 198},
		},
	};
	[52986] = { -- Heartblossom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 61979},
			[2] = {['chance'] = '±25%', 61980},
		},
		['found'] = {
			['location'] = {207},
		},
	};
	[52987] = { -- Twilight Jasmine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 61979},
			[2] = {['chance'] = '±50%', 61980},
		},
		['found'] = {
			['location'] = {241},
		},
	};
	[52988] = { -- Whiptail
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 61979},
			[2] = {['chance'] = '±50%', 61980},
		},
		['found'] = {
			['location'] = {249, 244},
		},
	};
	
	-- Pandaria herbs --
	[79010] = { -- Snow Lily
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 79251},
			[2] = {['chance'] = '±25%', 79253},
		},
		['found'] = {
			['location'] = {379},
			['chance'] = '±20%',
			['node'] = {L['Sha-Touched Herb']},
		},
	};
	[79011] = { -- Fool's Cap
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 79251},
			[2] = {['chance'] = '±50%', 79253},
		},
		['found'] = {
			['location'] = {422, 388, 554, 371},
			['chance'] = '±15%',
			['node'] = {L['Sha-Touched Herb']},
		},
	};
	[72234] = { -- Green Tea Leaf
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 79251},
			[2] = {['chance'] = '±25%', 79253},
		},
		['found'] = {
			['location'] = {371, 376, 418, 388, 379, 422, 390, 554},
			['chance'] = '±30%',
			['node'] = {L['Sha-Touched Herb']},
		},
	};
	[72235] = { -- Silkweed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 79251},
			[2] = {['chance'] = '±25%', 79253},
		},
		['found'] = {
			['location'] = {376, 416, 433, 371, 554},
		},
	};
	[72237] = { -- Rain Poppy
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 79251},
			[2] = {['chance'] = '±25%', 79253},
		},
		['found'] = {
			['location'] = {371, 390, 554},
		},
	};
	[89639] = { -- Desecrated Herb
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 79251},
			[2] = {['chance'] = '±25%', 79253},
		},
		['found'] = {
			['location'] = {422, 379, 376, 371},
		},
	};
	[72238] = { -- Golden Lotus
		['skill'] = 1,
		['found'] = {
			['location'] = {371, 376, 379, 422, 388, 390, 418, 433},
			['chance'] = '±1.5%',
			['node'] = {79011, L['Sha-Touched Herb'], 72234, 72235, 72237, 79010},
		},
	};
	
	-- Warlords of Draenor herbs --
	[109124] = { -- Frostweed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 114931},
		},
		['found'] = {
			['location'] = {525, 539, 542, 588},
			['chance'] = '±15%',
			['node'] = {L['Withered Herb']};
		},
	};
	[109125] = { -- Fireweed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 114931},
		},
		['found'] = {
			['location'] = {542, 525, 588},
			['chance'] = '±15%',
			['node'] = {L['Withered Herb']};
		},
	};
	[109126] = { -- Gorgrond Flytrap
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 114931},
		},
		['found'] = {
			['location'] = {542, 543, 588},
			['chance'] = '±15%',
			['node'] = {L['Withered Herb']};
		},
	};
	[109127] = { -- Starflower
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 114931},
		},
		['found'] = {
			['location'] = {539, 542, 588},
			['chance'] = '±15%',
			['node'] = {L['Withered Herb']};
		},
	};
	[109128] = { -- Nagrand Arrowbloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 114931},
		},
		['found'] = {
			['location'] = {550, 542, 588},
			['chance'] = '±15%',
			['node'] = {L['Withered Herb']};
		},
	};
	[109129] = { -- Talador Orchid
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 114931},
		},
		['found'] = {
			['location'] = {535, 542, 588},
			['chance'] = '±15%',
			['node'] = {L['Withered Herb']};
		},
	};
	
	-- Legion herbs --
	[124101] = { -- Aethril
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '±25%', 129034},
		},
		['found'] = {
			['location'] = {630, 646},
			['chance'] = '±25%',
			['node'] = {L['Fel-Encrusted Herb']};
		},
	};
	[124102] = { -- Dreamleaf
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '±25%', 129034},
		},
		['found'] = {
			['location'] = {641},
			['chance'] = '±25%',
			['node'] = {L['Fel-Encrusted Herb']};
		},
	};
	[124103] = { -- Foxflower
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '±25%', 129034},
		},
		['found'] = {
			['location'] = {650},
			['chance'] = '±25%',
			['node'] = {L['Fel-Encrusted Herb']};
		},
	};
	[124104] = { -- Fjarnskaggl
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '±20%', 129034},
		},
		['found'] = {
			['location'] = {634},
			['chance'] = '±25%',
			['node'] = {L['Fel-Encrusted Herb']};
		},
	};
	[124105] = { -- Starlight Rose
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '±20%', 129034},
		},
		['found'] = {
			['location'] = {680, 646},
		},
	};
	[124106] = { -- Felwort
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '100%', 129034},
		},
		['found'] = {
			['location'] = {L['World Quest']},
		},
	};
	[128304] = { -- Yseralline Seed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '±1.5%', 129034},
		},
		['found'] = {
			['chance'] = '±85%',
			['node'] = {L['Fel-Encrusted Herb'], 124104, 124103, 124101, 124102};
		},
	};
	[151565] = { -- Astral Glory
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129032},
			[2] = {['chance'] = '±15%', 129034},
		},
		['found'] = {
			['location'] = {882},
			['chance'] = '±100%',
			['node'] = {L['Fel-Encrusted Herb']};
		},
	};
	
	-- Battle for Azeroth herbs --
	[152505] = { -- Riverbud
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 153635},
			[2] = {['chance'] = '±65%', 153636},
			[3] = {['chance'] = '±25%', 153669},
		},
		['found'] = {
			['location'] = {863, 895, 942, 896, 862, 1462, 864},
		},
	};
	[152506] = { -- Star Moss
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 153635},
			[2] = {['chance'] = '±65%', 153636},
			[3] = {['chance'] = '±25%', 153669},
		},
		['found'] = {
			['location'] = {864, 863, 896, 895, 942, 862},
		},
	};
	[152507] = { -- Akunda's Bite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 153635},
			[2] = {['chance'] = '±65%', 153636},
			[3] = {['chance'] = '±35%', 153669},
		},
		['found'] = {
			['location'] = {864},
		},
	};
	[152508] = { -- Winter's Kiss
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 153635},
			[2] = {['chance'] = '±65%', 153636},
			[3] = {['chance'] = '±25%', 153669},
		},
		['found'] = {
			['location'] = {896, 895},
		},
	};
	[152509] = { -- Siren's Pollen
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 153635},
			[2] = {['chance'] = '±65%', 153636},
			[3] = {['chance'] = '±25%', 153669},
		},
		['found'] = {
			['location'] = {895, 896, 863, 862, 942, 864, 1462},
		},
	};
	[152510] = { -- Anchor Weed
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 153635, 153669},
			[2] = {['chance'] = '±65%', 153636},
		},
		['found'] = {
			['location'] = {863, 864, 895, 942, 862, 896, 1462},
		},
	};
	[152511] = { -- Sea Stalk
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 153635},
			[2] = {['chance'] = '±65%', 153636},
			[3] = {['chance'] = '±25%', 153669},
		},
		['found'] = {
			['location'] = {863, 895, 862, 864, 942, 896, 1462},
		},
	};
	[168487] = { -- Zin'anthid
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 168662},
		},
		['found'] = {
			['location'] = {1355},
		},
	};
	
	-- Shadowlands herbs --
	[168583] = { -- Widowbloom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±65%', 173056},
			[2] = {['chance'] = '±35%', 173057},
			[3] = {['chance'] = '±5%', 175788},
		},
		['found'] = {
			['location'] = {1525},
		},
	};
	[170554] = { -- Vigil's Torch
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±65%', 173057},
			[2] = {['chance'] = '±30%', 173056},
			[3] = {['chance'] = '±5%', 175788},
		},
		['found'] = {
			['location'] = {1565},
		},
	};
	[168586] = { -- Rising Glory
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±65%', 173057},
			[2] = {['chance'] = '±35%', 173056},
			[3] = {['chance'] = '±5%', 175788},
		},
		['found'] = {
			['location'] = {1569},
		},
	};
	[168589] = { -- Marrowroot
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±65%', 173056},
			[2] = {['chance'] = '±35%', 173057},
			[3] = {['chance'] = '±5%', 175788},
		},
		['found'] = {
			['location'] = {1536},
		},
	};
	[169701] = { -- Death Blossom
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 173056, 173057},
			[2] = {['chance'] = '±5%', 175788},
		},
		['found'] = {
			['location'] = {1569, 1565, 1525, 1536},
		},
	};
	[171315] = { -- Nightshade
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 175788},
			[2] = {['chance'] = '±50%', 173056, 173057},
		},
		['found'] = {
			['location'] = {1565, 1569, 1536, 1525, 1543, 1961},
		},
	};
};

table_milling = {
	[39151] = { -- Alabaster Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 2449, 2447, 765},
		},
	};
	
	[39334] = { -- Dusky Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 2450, 2453, 2452, 785, 3820},
		},
	};
	[43103] = { -- Verdant Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 2453, 3820},
			[2] = {['chance'] = '±25%', 2450, 785, 2452},
		},
	};
	
	[39338] = { -- Golden Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 3356, 3355, 3369, 3357},
		},
	};
	[43104] = { -- Burnt Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 3357, 3356},
			[2] = {['chance'] = '±25%', 3369, 3355},
		},
	};
	
	[39339] = { -- Emerald Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 3818, 3819, 3821, 3358},
		},
	};
	[43105] = { -- Indigo Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 3819, 3358},
			[2] = {['chance'] = '±25%', 3821, 3818},
		},
	};
	
	[39340] = { -- Violet Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 8839, 4625, 8845, 8846, 8831, 8838, 8836},
		},
	};
	[43106] = { -- Ruby Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 8845, 8839, 8846},
			[2] = {['chance'] = '±25%', 4625, 8838, 8836, 8831},
		},
	};
	
	[39341] = { -- Silvery Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 13463, 13464, 13467, 13465, 13466},
		},
	};
	[43107] = { -- Sapphire Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 13467, 13466, 13465},
			[2] = {['chance'] = '±25%', 13463, 13464},
		},
	};
	
	-- The Burning Crusade pigments --
	[39342] = { -- Nether Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 22785, 22786, 22787, 22789, 22790, 22791, 22792, 22793},
		},
	};
	[43108] = { -- Ebon Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 22792, 22791, 22790, 22793},
			[2] = {['chance'] = '±25%', 22786, 22785, 22787, 22789},
		},
	};
	
	-- Wrath of the Lich King pigments --
	[39343] = { -- Azure Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 36901, 36903, 36904, 36905, 36906, 36907, 37921, 39970},
		},
	};
	[43109] = { -- Icy Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 36903, 36905, 36906},
			[2] = {['chance'] = '±25%', 36901, 36904, 36907, 37921, 39970},
		},
	};
	
	-- Cataclysm pigments --
	[61979] = { -- Ashen Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 52983, 52984, 52985, 52986, 52987, 52988},
		},
	};
	[61980] = { -- Burning Embers
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 52987, 52988},
			[2] = {['chance'] = '±25%', 52983, 52984, 52985, 52986},
		},
	};
	
	-- Mist of Pandaria pigments --
	[79251] = { -- Shadow Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 72234, 72235, 72237, 79010, 79011, 89639},
		},
	};
	[79253] = { -- Misty Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 79011},
			[2] = {['chance'] = '±25%', 72234, 72235, 72237, 79010, 89639},
		},
	};
	
	-- Warlords of Draenor pigments --
	[114931] = { -- Cerulean Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 109124, 109125, 109126, 109127, 109128, 109129},
		},
	};
	
	-- Legion pigments --
	[129032] = { -- Roseate Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 124101, 124102, 124103, 124104, 124105, 124106, 128304, 151565},
		},
	};
	[129034] = { -- Sallow Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 124106},
			[2] = {['chance'] = '±20%', 124101, 124102, 124103, 124104, 124105, 151565},
			[3] = {['chance'] = '±1.5%', 128304},
		},
	};
	
	-- Battle for Azeroth pigments --
	[153635] = { -- Ultramarine Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 152505, 152506, 152507, 152508, 152509, 152510, 152511},
		},
	};
	[153636] = { -- Crimson Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±65%', 152505, 152506, 152507, 152508, 152509, 152510, 152511},
		},
	};
	[153669] = { -- Viridescent Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 152510},
			[2] = {['chance'] = '±30%', 152505, 152506, 152507, 152508, 152509, 152511},
		},
	};
	[168662] = { -- Maroon Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 168487},
		},
	};
	
	-- Shadowlands pigments --
	[173056] = { -- Umbral Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±65%', 168583, 168589},
			[2] = {['chance'] = '±50%', 169701, 171315},
			[3] = {['chance'] = '±35%', 168586, 170554},
		},
	};
	[173057] = { -- Luminous Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±65%', 168586, 170554},
			[2] = {['chance'] = '±50%', 169701, 171315},
			[3] = {['chance'] = '±35%', 168583, 168589},
		},
	};
	[175788] = { -- Tranquil Pigment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 171315},
			[2] = {['chance'] = '±5%', 168583, 168589, 169701, 168586, 170554},
		},
	};
};

table_ore = {
	[2770] = { -- Copper Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 774, 818},
			[2] = {['chance'] = '±10%', 1210},
		},
		['found'] = {
			['location'] = {1, 62, 37, 27, 10, 76, 52, 18, 179, 7, 48, 94, 97, 49, 174, 106, 202, 95, 21, 378, 47, 65, 56, 64, 63, 30},
		},
	};
	
	[2771] = { -- Tin Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±40%', 1206, 1210, 1705},
			[2] = {['chance'] = '±5%', 1529, 3864, 7909},
		},
		['found'] = {
			['location'] = {25, 63, 50, 65, 49, 47, 56, 48, 14, 106, 52, 64, 21, 95, 62, 26, 70},
		},
	};
	
	[2772] = { -- Iron Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 1529, 1705, 3864},
			[2] = {['chance'] = '±5%', 7909, 7910},
		},
		['found'] = {
			['location'] = {69, 66, 14, 22, 23, 210, 199, 64, 26, 50, 70, 47, 56, 15, 224, 71},
		},
	};
	
	[2775] = { -- Silver Ore
		['skill'] = 1,
		['found'] = {
			['location'] = {69, 50, 25, 65, 66, 14, 210, 199, 47, 56, 49, 64, 26, 48, 106, 21, 70, 62, 95, 52},
		},
	};
	
	[2776] = { -- Gold Ore
		['skill'] = 1,
		['found'] = {
			['location'] = {64, 69, 23, 36, 15, 77, 32, 22, 66, 210, 14, 199, 71, 50, 26, 47, 70, 78},
		},
	};
	
	[3858] = { -- Mithril Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 3864, 7909, 7910},
			[2] = {['chance'] = '±5%', 12361, 12364, 12799, 12800},
		},
		['found'] = {
			['location'] = {64, 15, 32, 36, 77, 71, 23, 26, 14, 70, 78},
		},
	};
	
	[7911] = { -- Truesilver Ore
		['skill'] = 1,
		['found'] = {
			['location'] = {83, 64, 36, 15, 77, 32, 81, 17, 51, 23, 71, 78},
		},
	};
	
	[10620] = { -- Thorium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±30%', 12361, 12364, 12799, 12800},
			[2] = {['chance'] = '±15%', 7910},
		},
		['found'] = {
			['location'] = {83, 81, 78, 51, 17, 71},
		},
	};
	
	-- The Burning Crusade ores --
	[23424] = { -- Fel Iron Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 21929, 23077, 23079, 23107, 23112, 23117},
			[2] = {['chance'] = '±1.5%', 23436, 23437, 23438, 23439, 23440, 23441},
		},
		['found'] = {
			['location'] = {100, 102, 107, 104, 105, 108, 109},
		},
	};
	[23425] = { -- Adamantite Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 24243},
			[2] = {['chance'] = '±15%', 21929, 23077, 23079, 23107, 23112, 23117},
			[3] = {['chance'] = '±5%', 23436, 23437, 23438, 23439, 23440, 23441},
		},
		['found'] = {
			['location'] = {107, 105, 109, 104, 108, 102, 122},
		},
	};
	[23426] = { -- Khorium Ore
		['skill'] = 1,
		['found'] = {
			['location'] = {107, 105, 109, 104, 108, 122},
		},
	};
	[23427] = { -- Thorium Ore
		['skill'] = 1,
		['found'] = {
			['chance'] = '±25%',
			['node'] = {23426, 23425, 23424},
		},
	};
	
	-- Wratch of the Lich King ores --
	[36909] = { -- Cobalt Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 36917, 36920, 36923, 36926, 36929, 36932},
			[2] = {['chance'] = '±1.5%', 36918, 36921, 36924, 36927, 36930, 36933},
		},
		['found'] = {
			['location'] = {121, 117, 114, 115, 116, 120, 127},
		},
	};
	[36910] = { -- Titanium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 46849},
			[2] = {['chance'] = '±25%', 36917, 36920, 36923, 36926, 36929, 36932},
			[3] = {['chance'] = '±5%', 36918, 36921, 36924, 36927, 36930, 36933, 36919, 36922, 36925, 36928, 36931, 36934},
		},
		['found'] = {
			['location'] = {118, 119, 120, 123},
		},
	};
	[36912] = { -- Saronite Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 36917, 36920, 36923, 36926, 36929, 36932},
			[2] = {['chance'] = '±5%', 36918, 36921, 36924, 36927, 36930, 36933},
		},
		['found'] = {
			['location'] = {118, 119, 120, 123, 121},
		},
	};
	
	-- Cataclysm ores --
	[52185] = { -- Elementium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 52177, 52178, 52179, 52180, 52181, 52182},
			[2] = {['chance'] = '±5%', 52190, 52191, 52192, 52193, 52194, 52195},
		},
		['found'] = {
			['location'] = {207, 241, 249, 245, 244},
		},
	};
	[53038] = { -- Obsidium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 52177, 52178, 52179, 52180, 52181, 52182},
			[2] = {['chance'] = '±5%', 52190, 52191, 52192, 52193, 52194, 52195},
		},
		['found'] = {
			['location'] = {207, 198, 204, 205, 201},
		},
	};
	[52183] = { -- Pyrite Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 52327},
			[2] = {['chance'] = '±15%', 52177, 52178, 52179, 52180, 52181, 52182},
			[3] = {['chance'] = '±5%', 52190, 52191, 52192, 52193, 52194, 52195},
		},
		['found'] = {
			['location'] = {241, 249},
		},
	};
	
	-- Mist of Pandaria ores --
	[72092] = { -- Ghost Iron Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±80%', 90407},
			[2] = {['chance'] = '±25%', 76130, 76133, 76134, 76135, 76136, 76137},
			[3] = {['chance'] = '±5%', 76131, 76138, 76139, 76140, 76141, 76142},
		},
		['found'] = {
			['location'] = {371, 376, 422, 379, 388, 418, 390, 554, 433},
		},
	};
	[72093] = { -- Kyparite Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 90407},
			[2] = {['chance'] = '±25%', 76130, 76133, 76134, 76135, 76136, 76137},
			[3] = {['chance'] = '±5%', 76131, 76138, 76139, 76140, 76141, 76142},
		},
		['found'] = {
			['location'] = {422, 388},
		},
	};
	[72094] = { -- Black Trillium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 90407},
			[2] = {['chance'] = '±15%', 76130, 76133, 76134, 76135, 76136, 76137, 76131, 76138, 76139, 76140, 76141, 76142},
		},
		['found'] = {
			['location'] = {422, 379, 388, 390, 371, 376, 554},
		},
	};
	[72103] = { -- White Trillium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 90407},
			[2] = {['chance'] = '±15%', 76130, 76133, 76134, 76135, 76136, 76137, 76131, 76138, 76139, 76140, 76141, 76142},
		},
		['found'] = {
			['location'] = {422, 379, 388, 390, 371, 376, 554},
		},
	};
	
	-- Warlords of Draenor ores --
	[109118] = { -- Blackrock Ore
		['skill'] = 1,
		['found'] = {
			['location'] = {550, 535, 525, 539, 542, 543},
		},
	};
	
	[109119] = { -- True Iron Ore
		['skill'] = 1,
		['found'] = {
			['location'] = {550, 535, 525, 539, 542, 543},
		},
	};
	
	-- Legion ores --
	[123918] = { -- Leystone Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 130203},
			[2] = {['chance'] = '±5%', 130172, 130173, 130174, 130175, 130176, 130177},
			[3] = {['chance'] = '±0.5%', 130178, 130179, 130180, 130182, 130183},
		},
		['found'] = {
			['location'] = {630, 680, 634, 641, 650, 646},
		},
	};
	[123919] = { -- Felslate
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 130203},
			[2] = {['chance'] = '±5%', 130172, 130173, 130174, 130175, 130176, 130177},
			[3] = {['chance'] = '±0.5%', 130178, 130179, 130180, 130181, 130182, 130183, 52177},
		},
		['found'] = {
			['location'] = {630, 680, 634, 641, 650, 646},
		},
	};
	[151564] = { -- Empyrium
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 129100},
			[2] = {['chance'] = '±5%', 151579, 151718, 151719, 151722},
			[3] = {['chance'] = '±0.5%', 151720, 151721},
		},
		['found'] = {
			['location'] = {830, 882, 885},
		},
	};
	
	-- Battle for Azeroth ores --
	[152512] = { -- Monelite Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 153700, 153701, 153702, 153703, 153704, 153705},
			[2] = {['chance'] = '±5%', 154120, 154121, 154122, 154123, 154124, 154125, 153706},
		},
		['found'] = {
			['location'] = {895, 864, 942, 896, 863, 862, 1462},
		},
	};
	[152513] = { -- Platinum Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 153700, 153701, 153702, 153703, 153704, 153705},
			[2] = {['chance'] = '±10%', 154120, 154121, 154122, 154123, 154124, 154125, 153706},
		},
		['found'] = {
			['location'] = {895, 864, 942, 896, 863, 862, 1462},
		},
	};
	[152579] = { -- Storm Silver Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 153700, 153701, 153702, 153703, 153704, 153705},
			[2] = {['chance'] = '±5%', 154120, 154121, 154122, 154123, 154124, 154125, 153706},
		},
		['found'] = {
			['location'] = {895, 864, 942, 896, 863, 862, 1462},
		},
	};
	[168185] = { -- Osmenite Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 168188, 168189, 168190, 168191, 168192, 168193, 168635},
		},
		['found'] = {
			['location'] = {1355},
		},
	};
	
	-- Shadowlands ores --
	[171828] = { -- Laestrite Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 173108, 173109, 173110},
			[2] = {['chance'] = '±5%', 173170, 173171, 173172, 173173},
		},
		['found'] = {
			['location'] = {1565, 1569, 1525, 1536},
		},
	};
	[171829] = { -- Solenium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 173108, 173109, 173110},
			[2] = {['chance'] = '±5%', 173173},
		},
		['found'] = {
			['location'] = {1533},
		},
	};
	[171830] = { -- Oxxein Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 173108, 173109, 173110},
			[2] = {['chance'] = '±5%', 173172},
		},
		['found'] = {
			['location'] = {1536},
		},
	};
	[171831] = { -- Phaedrum Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 173108, 173109, 173110},
			[2] = {['chance'] = '±5%', 173170},
		},
		['found'] = {
			['location'] = {1565},
		},
	};
	[171832] = { -- Sinvyr Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 173108, 173109, 173110},
			[2] = {['chance'] = '±20%', 173171},
		},
		['found'] = {
			['location'] = {1525},
		},
	};
	[171833] = { -- Elethium Ore
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 173108, 173109, 173110},
			[2] = {['chance'] = '±25%', 173170, 173171, 173172, 173173},
		},
		['found'] = {
			['location'] = {1543, 1961, 1565, 1536, 1569, 1525},
			['chance'] = '±10%',
			['node'] = {171828, 171829, 171830, 171831, 171832},
		},
	};
};

table_prospecting = {
	[774] = { -- Malachite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 2770},
		},
	};
	[818] = { -- Tigerseye
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 2770},
		},
	};
	[1206] = { -- Moss Agete
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 2771},
		},
	};
	[1210] = { -- Shadowgem
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 2771},
			[2] = {['chance'] = '±10%', 2770},
		},
	};
	[1529] = { -- Jade
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 2772},
			[2] = {['chance'] = '±5%', 2771},
		},
	};
	[1705] = { -- Lesser Moonstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 2771, 2772},
		},
	};
	[3864] = { -- Citrine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 2772, 3858},
			[2] = {['chance'] = '±5%', 2771},
		},
	};
	[7909] = { -- Aquamarine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 3858},
			[2] = {['chance'] = '±5%', 2771, 2772},
		},
	};
	[7910] = { -- Star Ruby
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 3858},
			[2] = {['chance'] = '±15%', 10620},
			[3] = {['chance'] = '±5%', 2772},
		},
	};
	[12361] = { -- Blue Sapphire
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 10620},
			[3] = {['chance'] = '±5%', 3858},
		},
	};
	[12364] = { -- Huge Emerald
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 10620},
			[3] = {['chance'] = '±5%', 3858},
		},
	};
	[12799] = { -- Large Opal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 10620},
			[3] = {['chance'] = '±5%', 3858},
		},
	};
	[12800] = { -- Azerothian Diamond
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 10620},
			[3] = {['chance'] = '±5%', 3858},
		},
	};
	
	-- The Burning Crusade gems --
	[21929] = { -- Flame Spessarite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 23424, 23425},
		},
	};
	[23077] = { -- Blood Garnet
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 23424, 23425},
		},
	};
	[23107] = { -- Shadow Draenite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 23424, 23425},
		},
	};
	[23079] = { -- Deep Peridot
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 23424, 23425},
		},
	};
	[23112] = { -- Golden Draenite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 23424, 23425},
		},
	};
	[23117] = { -- Azure Moonstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 23424, 23425},
		},
	};
	[23436] = { -- Living Ruby
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 23425},
			[2] = {['chance'] = '±1.5%', 23424},
		},
	};
	[23437] = { -- Talasite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 23425},
			[2] = {['chance'] = '±1.5%', 23424},
		},
	};
	[23438] = { -- Star of Elune
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 23425},
			[2] = {['chance'] = '±1.5%', 23424},
		},
	};
	[23439] = { -- Noble Topaz
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 23425},
			[2] = {['chance'] = '±1.5%', 23424},
		},
	};
	[23440] = { -- Dawnstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 23425},
			[2] = {['chance'] = '±1.5%', 23424},
		},
	};
	[23441] = { -- Nightseye
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 23425},
			[2] = {['chance'] = '±1.5%', 23424},
		},
	};
	[24243] = { -- Adamantite Powder
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 23425},
		},
	};
	
	-- Wrath of the Lich King gems --
	[36917] = { -- Bloodstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 36909, 36910, 36912},
		},
	};
	[36918] = { -- Scarlet Ruby
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910, 36912},
			[2] = {['chance'] = '±1.5%', 36909},
		},
	};
	[36919] = { -- Cardinal Ruby
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910},
		},
	};
	[36920] = { -- Sun Crystal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 36909, 36910, 36912},
		},
	};
	[36921] = { -- Autumn's Glow
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910, 36912},
			[2] = {['chance'] = '±1.5%', 36909},
		},
	};
	[36922] = { -- King's Amber
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910},
		},
	};
	[36923] = { -- Chalcedony
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 36909, 36910, 36912},
		},
	};
	[36924] = { -- Sky Sapphire
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910, 36912},
			[2] = {['chance'] = '±1.5%', 36909},
		},
	};
	[36925] = { -- Majestic Zircon
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910},
		},
	};
	[36926] = { -- Shadow Crystal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 36909, 36910, 36912},
		},
	};
	[36927] = { -- Twilight Opal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910, 36912},
			[2] = {['chance'] = '±1.5%', 36909},
		},
	};
	[36928] = { -- Dreadstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910},
		},
	};
	[36929] = { -- Huge Citrine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 36909, 36910, 36912},
		},
	};
	[36930] = { -- Monarch Topaz
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910, 36912},
			[2] = {['chance'] = '±1.5%', 36909},
		},
	};
	[36931] = { -- Ametrine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910},
		},
	};
	[36932] = { -- Dark Jade
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 36909, 36910, 36912},
		},
	};
	[36933] = { -- Forest Emerald
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910, 36912},
			[2] = {['chance'] = '±1.5%', 36909},
		},
	};
	[36934] = { -- Eye of Zul
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 36910},
		},
	};
	[46849] = { --Titanium Powder
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±50%', 36910},
		},
	};
	
	-- Cataclysm gems --
	[52177] = { -- Carnelian
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 53038},
			[2] = {['chance'] = '±15%', 52183, 52185},
		},
	};
	[52178] = { -- Zephyrite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 53038},
			[2] = {['chance'] = '±15%', 52183, 52185},
		},
	};
	[52179] = { -- Alicite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 53038},
			[2] = {['chance'] = '±15%', 52183, 52185},
		},
	};
	[52180] = { -- Nightstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 53038},
			[2] = {['chance'] = '±15%', 52183, 52185},
		},
	};
	[52181] = { -- Hessonite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 53038},
			[2] = {['chance'] = '±15%', 52183, 52185},
		},
	};
	[52182] = { -- Jasper
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 53038},
			[2] = {['chance'] = '±15%', 52183, 52185},
		},
	};
	[52190] = { -- Inferno Ruby
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 52183, 52185},
			[2] = {['chance'] = '±1.5%', 53038},
		},
	};
	[52191] = { -- Ocean Sapphire
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 52183, 52185},
			[2] = {['chance'] = '±1.5%', 53038},
		},
	};
	[52192] = { -- Dream Emerald
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 52183, 52185},
			[2] = {['chance'] = '±1.5%', 53038},
		},
	};
	[52193] = { -- Ember Topaz
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 52183, 52185},
			[2] = {['chance'] = '±1.5%', 53038},
		},
	};
	[52194] = { -- Demonseye
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 52183, 52185},
			[2] = {['chance'] = '±1.5%', 53038},
		},
	};
	[52195] = { -- Amberjewel
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 52183, 52185},
			[2] = {['chance'] = '±1.5%', 53038},
		},
	};
	[52327] = { -- Volatile Earth
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±100%', 52183},
		},
	};
	
	-- Mist of Pandaria gems --
	[76130] = { -- Tiger Opal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 72092, 72093},
			[2] = {['chance'] = '±15%', 72094, 72103},
		},
	};
	[76131] = { -- Primordial Ruby
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 72094, 72103},
			[2] = {['chance'] = '±5%', 72092, 72093},
		},
	};
	[76133] = { -- Lapis Lazuli
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 72092, 72093},
			[2] = {['chance'] = '±15%', 72094, 72103},
		},
	};
	[76134] = { -- Sunstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 72092, 72093},
			[2] = {['chance'] = '±15%', 72094, 72103},
		},
	};
	[76135] = { -- Roguestone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 72092, 72093},
			[2] = {['chance'] = '±15%', 72094, 72103},
		},
	};
	[76136] = { -- Pandarian Garnet
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 72092, 72093},
			[2] = {['chance'] = '±15%', 72094, 72103},
		},
	};
	[76137] = { -- Alexandrite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±25%', 72092, 72093},
			[2] = {['chance'] = '±15%', 72094, 72103},
		},
	};
	[76138] = { -- River's Heart
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 72094, 72103},
			[2] = {['chance'] = '±5%', 72092, 72093},
		},
	};
	[76139] = { -- Wild Jade
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 72094, 72103},
			[2] = {['chance'] = '±5%', 72092, 72093},
		},
	};
	[76140] = { -- Vermilion Onyx
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 72094, 72103},
			[2] = {['chance'] = '±5%', 72092, 72093},
		},
	};
	[76141] = { -- Imperial Amethyst
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 72094, 72103},
			[2] = {['chance'] = '±5%', 72092, 72093},
		},
	};
	[76142] = { -- Sun's Radiance
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 72094, 72103},
			[2] = {['chance'] = '±5%', 72092, 72093},
		},
	};
	[90407] = { -- Sparkling Shard
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 72093, 72094, 72103},
			[2] = {['chance'] = '±80%', 72092},
		},
	};
	
	-- Warlords of Draenor gems --
	-- None --
	
	-- Legion gems --
	[129100] = { -- Gem Chip
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '100%', 151564},
		},
	};
	[129099] = { -- Gem Chip (Red)
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 123918, 123919},
		},
	};
	[130200] = { -- Gem Chip (Orange)
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 123918, 123919},
		},
	};
	[130201] = { -- Gem Chip (Yellow)
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 123918, 123919},
		},
	};
	[130202] = { -- Gem Chip (Green)
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 123918, 123919},
		},
	};
	[130203] = { -- Gem Chip (Blue)
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 123918, 123919},
		},
	};
	[130204] = { -- Gem Chip (Purple)
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 123918, 123919},
		},
	};
	[130172] = { -- Sangrite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 123918, 123919},
		},
	};
	[130173] = { -- Deep Amber
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 123918, 123919},
		},
	};
	[130174] = { -- Azsunite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 123918, 123919},
		},
	};
	[130175] = { -- Chaotic Spinel
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±1.5%', 123918, 123919},
		},
	};
	[130176] = { -- Skystone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 123918, 123919},
		},
	};
	[130177] = { -- Queen's Opal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 123918, 123919},
		},
	};
	[130178] = { -- Furystone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±1%', 123918, 123919},
		},
	};
	[130179] = { -- Eye of Prophecy
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±1%', 123918, 123919},
		},
	};
	[130180] = { -- Dawnlight
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±1%', 123918, 123919},
		},
	};
	[130181] = { -- Pandemonite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±1%', 123919},
		},
	};
	[130182] = { -- Maelstrom Sapphire
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±1%', 123918, 123919},
		},
	};
	[130183] = { -- Shadowruby
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±1%', 123918, 123919},
		},
	};
	[151579] = { -- Labradorite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 151564},
		},
	};
	[151718] = { -- Argulite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 151564},
		},
	};
	[151719] = { -- Lightsphene
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 151564},
		},
	};
	[151720] = { -- Chemirine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±0.5%', 151564},
		},
	};
	[151721] = { -- Hesselian
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±0.5%', 151564},
		},
	};
	[151722] = { -- Florid Malachite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 151564},
		},
	};
	
	-- Battle for Azeroth gems --
	[153700] = { -- Golden Beryl
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 152512, 152513, 152579},
		},
	};
	[153701] = { -- Rubellite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 152512, 152513, 152579},
		},
	};
	[153702] = { -- Kubiline
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 152512, 152513, 152579},
		},
	};
	[153703] = { -- Solstone
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 152512, 152513, 152579},
		},
	};
	[153704] = { -- Viridium
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 152512, 152513, 152579},
		},
	};
	[153705] = { -- Kyanite
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 152512, 152513, 152579},
		},
	};
	[154120] = { -- Owlseye
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 152513},
			[2] = {['chance'] = '±5%', 152512, 152579},
		},
	};
	[154121] = { -- Scarlet Diamond
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 152513},
			[2] = {['chance'] = '±5%', 152512, 152579},
		},
	};
	[154122] = { -- Tidal Amethyst
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 152513},
			[2] = {['chance'] = '±5%', 152512, 152579},
		},
	};
	[154123] = { -- Amberblaze
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 152513},
			[2] = {['chance'] = '±5%', 152512, 152579},
		},
	};
	[154124] = { -- Laribole
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±10%', 152512, 152513, 152579},
		},
	};
	[154125] = { -- Royal Quartz
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±10%', 152512, 152513, 152579},
		},
	};
	[153706] = { -- Kraken's Eye
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±5%', 152512, 152513, 152579},
		},
	};
	[168188] = { -- Sage Agate
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 168185},
		},
	};
	[168189] = { -- Dark Opal
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 168185},
		},
	};
	[168190] = { -- Lava Lazuli
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 168185},
		},
	};
	[168191] = { -- Sea Currant
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 168185},
		},
	};
	[168192] = { -- Sand Spinel
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 168185},
		},
	};
	[168193] = { -- Azsharine
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±10%', 168185},
		},
	};
	[168195] = { -- Leviathan's Eye
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±15%', 168185},
		},
	};
	
	-- Shadowlands gems --
	[173108] = { -- Oriblase
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 171828, 171829, 171830, 171831, 171832, 171833},
		},
	};
	[173109] = { -- Angerseye
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 171828, 171829, 171830, 171831, 171832, 171833},
		},
	};
	[173110] = { -- Umbryl
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±35%', 171828, 171829, 171830, 171831, 171832, 171833},
		},
	};
	[173170] = { -- Essence of Rebirth
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 171831, 171833},
			[2] = {['chance'] = '±5%', 171828},
		},
	};
	[173171] = { -- Essence of Torment
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 171832, 171833},
			[2] = {['chance'] = '±5%', 171828},
		},
	};
	[173172] = { -- Essence of Servitude
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 171830, 171833},
			[2] = {['chance'] = '±5%', 171828},
		},
	};
	[173173] = { -- Essence of Valor
		['skill'] = 1,
		['items'] = {
			[1] = {['chance'] = '±20%', 171829, 171833},
			[2] = {['chance'] = '±5%', 171828},
		},
	};
};

if isClassic then
	table_gear = {
		[2] = {
			{
				['min'] = 5, ['max'] = 15, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 10938},
						[2] = {['chance'] = '±25%', 10940},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 10940},
						[2] = {['chance'] = '±25%', 10938},
					}
				}
			},
			{
				['min'] = 16, ['max'] = 25, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 25,
					['items'] = {
						[1] = {['chance'] = '±75%', 10939},
						[2] = {['chance'] = '±25%', 10940},
						[3] = {['chance'] = '±15% (21+)', 10978},
					},
				},
				['armor'] = {
					['skill'] = 25,
					['items'] = {
						[1] = {['chance'] = '±75%', 10940},
						[2] = {['chance'] = '±25%', 10939},
						[3] = {['chance'] = '±15% (21+)', 10978},
					}
				}
			},
			{
				['min'] = 26, ['max'] = 30, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 50,
					['items'] = {
						[1] = {['chance'] = '±75%', 10998},
						[2] = {['chance'] = '±25%', 11083},
						[3] = {['chance'] = '±15%', 11084},
					},
				},
				['armor'] = {
					['skill'] = 50,
					['items'] = {
						[1] = {['chance'] = '±75%', 11083},
						[2] = {['chance'] = '±25%', 10998},
						[3] = {['chance'] = '±15%', 11084},
					}
				}
			},
			{
				['min'] = 31, ['max'] = 35, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 75,
					['items'] = {
						[1] = {['chance'] = '±75%', 11082},
						[2] = {['chance'] = '±25%', 11083},
						[3] = {['chance'] = '±15%', 11138},
					},
				},
				['armor'] = {
					['skill'] = 75,
					['items'] = {
						[1] = {['chance'] = '±75%', 11083},
						[2] = {['chance'] = '±25%', 11082},
						[3] = {['chance'] = '±15%', 11138},
					}
				}
			},
			{
				['min'] = 36, ['max'] = 40, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 100,
					['items'] = {
						[1] = {['chance'] = '±75%', 11134},
						[2] = {['chance'] = '±25%', 11137},
						[3] = {['chance'] = '±15%', 11139},
					},
				},
				['armor'] = {
					['skill'] = 100,
					['items'] = {
						[1] = {['chance'] = '±75%', 11137},
						[2] = {['chance'] = '±25%', 11134},
						[3] = {['chance'] = '±15%', 11139},
					}
				}
			},
			{
				['min'] = 41, ['max'] = 45, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 125,
					['items'] = {
						[1] = {['chance'] = '±75%', 11135},
						[2] = {['chance'] = '±25%', 11137},
						[3] = {['chance'] = '±15%', 11177},
					},
				},
				['armor'] = {
					['skill'] = 125,
					['items'] = {
						[1] = {['chance'] = '±75%', 11137},
						[2] = {['chance'] = '±25%', 11135},
						[3] = {['chance'] = '±15%', 11177},
					}
				}
			},
			{
				['min'] = 46, ['max'] = 50, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 150,
					['items'] = {
						[1] = {['chance'] = '±75%', 11174},
						[2] = {['chance'] = '±25%', 11176},
						[3] = {['chance'] = '±5%', 11178},
					},
				},
				['armor'] = {
					['skill'] = 150,
					['items'] = {
						[1] = {['chance'] = '±75%', 11176},
						[2] = {['chance'] = '±25%', 11174},
						[3] = {['chance'] = '±15%', 11178},
					}
				}
			},
			{
				['min'] = 51, ['max'] = 55, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 175,
					['items'] = {
						[1] = {['chance'] = '±75%', 11175},
						[2] = {['chance'] = '±25%', 11176},
						[3] = {['chance'] = '±5%', 14343},
					},
				},
				['armor'] = {
					['skill'] = 175,
					['items'] = {
						[1] = {['chance'] = '±75%', 11176},
						[2] = {['chance'] = '±25%', 11175},
						[3] = {['chance'] = '±15%', 14343},
					}
				}
			},
			{
				['min'] = 56, ['max'] = 60, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 200,
					['items'] = {
						[1] = {['chance'] = '±75%', 16202},
						[2] = {['chance'] = '±25%', 16204},
						[3] = {['chance'] = '±5%', 14344},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 16204},
						[2] = {['chance'] = '±25%', 16202},
						[3] = {['chance'] = '±15%', 14344},
					}
				}
			},
			{
				['min'] = 61, ['max'] = 65, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 225,
					['items'] = {
						[1] = {['chance'] = '±75%', 16203},
						[2] = {['chance'] = '±25%', 16204},
						[3] = {['chance'] = '±5%', 14344},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 16204},
						[2] = {['chance'] = '±25%', 16203},
						[3] = {['chance'] = '±15%', 14344},
					}
				}
			},
			
			-- The Burning Crusade results --
			{
				['min'] = 80, ['max'] = 99, ['expansion'] = 1,
				['weapon'] = {
					['skill'] = 225,
					['items'] = {
						[1] = {['chance'] = '±75%', 22447},
						[2] = {['chance'] = '±25%', 22445},
						[3] = {['chance'] = '±5%', 22448},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 22445},
						[2] = {['chance'] = '±25%', 22447},
						[3] = {['chance'] = '±5%', 22448},
					}
				}
			},
			{
				['min'] = 100, ['max'] = 120, ['expansion'] = 1,
				['weapon'] = {
					['skill'] = 275,
					['items'] = {
						[1] = {['chance'] = '±75%', 22446},
						[2] = {['chance'] = '±25%', 22445},
						[3] = {['chance'] = '±5%', 22449},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 22445},
						[2] = {['chance'] = '±25%', 22446},
						[3] = {['chance'] = '±5%', 22449},
					}
				}
			},
		},
	};

	table_disenchant = {
		[10938] = { -- Lesser Magic Essence
			['skill'] = 1,
			['min'] = 5, ['max'] = 15,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[10939] = { -- Greater Magic Essence
			['skill'] = 25,
			['min'] = 16, ['max'] = 25,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[10940] = { -- Strange Dust
			['skill'] = '1|25',
			['min'] = 5, ['max'] = 25,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[10978] = { -- Small Glimmering Shard
			['skill'] = 25,
			['min'] = 21, ['max'] = 25,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±15%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[10998] = { -- Lesser Astral Essence
			['skill'] = 50,
			['min'] = 26, ['max'] = 30,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[11082] = { -- Greater Astral Essence
			['skill'] = 75,
			['min'] = 31, ['max'] = 35,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[11083] = { -- Soul Dust
			['skill'] = '50|75',
			['min'] = 26, ['max'] = 35,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[11084] = { -- Large Glimmering Shard
			['skill'] = 75,
			['min'] = 26, ['max'] = 30,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±15%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[11134] = { -- Lesser Mystic Essence
			['skill'] = 100,
			['min'] = 36, ['max'] = 40,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[11135] = { -- Greater Mystic Essence
			['skill'] = 125,
			['min'] = 41, ['max'] = 45,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[11137] = { -- Vision Dust
			['skill'] = '100|125',
			['min'] = 36, ['max'] = 45,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[11138] = { -- Small Glowing Shard
			['skill'] = 100,
			['min'] = 31, ['max'] = 35,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±15%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[11139] = { -- Large Glowing Shard
			['skill'] = 125,
			['min'] = 36, ['max'] = 40,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±15%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[11174] = { -- Lesser Nether Essence
			['skill'] = 150,
			['min'] = 46, ['max'] = 50,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[11175] = { -- Greater Nether Essence
			['skill'] = 175,
			['min'] = 51, ['max'] = 55,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[11176] = { -- Dream Dust
			['skill'] = '150|175',
			['min'] = 46, ['max'] = 55,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[11177] = { -- Small Radiant Shard
			['skill'] = 150,
			['min'] = 41, ['max'] = 45,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±15%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[11178] = { -- Large Radiant Shard
			['skill'] = 175,
			['min'] = 46, ['max'] = 50,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±15%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[14343] = { -- Small Brilliant Shard
			['skill'] = 200,
			['min'] = 51, ['max'] = 55,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[14344] = { -- Large Brilliant Shard
			['skill'] = 225,
			['min'] = 56, ['max'] = 65,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[3] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[16202] = { -- Lesser Eternal Essence
			['skill'] = 200,
			['min'] = 56, ['max'] = 60,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[16203] = { -- Greater Eternal Essence
			['skill'] = 225,
			['min'] = 61, ['max'] = 65,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[16204] = { -- Illusion Dust
			['skill'] = '200|225',
			['min'] = 56, ['max'] = 65,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[20725] = { -- Nexus Crystal
			['skill'] = '200|225',
			['min'] = 56, ['max'] = 80,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±15%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- The Burning Crusade materials --
		[22445] = { -- Arcane Dust
			['skill'] = '225|275',
			['min'] = 80, ['max'] = 99,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[22446] = { -- Greater Planar Essence
			['skill'] = 275,
			['min'] = 100, ['max'] = 120,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[22447] = { -- Lesser Planar Essence
			['skill'] = 225,
			['min'] = 80, ['max'] = 99,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[22448] = { -- Small Prismatic Shard
			['skill'] = 225,
			['min'] = 80, ['max'] = 99,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[22449] = { -- Large Prismatic Shard
			['skill'] = 275,
			['min'] = 100, ['max'] = 120,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[22450] = { -- Void Crystal
			['skill'] = 275,
			['min'] = 95, ['max'] = 164,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
	};
else
	table_gear = {
		[2] = {
			{
				['min'] = 1, ['max'] = 8, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 10938},
						[2] = {['chance'] = '±25%', 10940},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 10940},
						[2] = {['chance'] = '±25%', 10938},
					}
				}
			},
			{
				['min'] = 9, ['max'] = 16, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 10939},
						[2] = {['chance'] = '±25%', 10940},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 10940},
						[2] = {['chance'] = '±25%', 10939},
					}
				}
			},
			{
				['min'] = 17, ['max'] = 24, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 16202},
						[2] = {['chance'] = '±25%', 16204},
						[3] = {['chance'] = '±5%', 14343},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 16204},
						[2] = {['chance'] = '±25%', 16202},
						[3] = {['chance'] = '±5%', 14343},
					}
				}
			},
			{
				['min'] = 25, ['max'] = 29, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 16203},
						[2] = {['chance'] = '±25%', 156930},
						[3] = {['chance'] = '±5%', 14344},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 156930},
						[2] = {['chance'] = '±25%', 16203},
						[3] = {['chance'] = '±5%', 14344},
					}
				}
			},
			
			-- The Burning Crusade results --
			{
				['min'] = 30, ['max'] = 30, ['expansion'] = 1,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 22447},
						[2] = {['chance'] = '±25%', 22445},
						[3] = {['chance'] = '±5%', 22448},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 22445},
						[2] = {['chance'] = '±25%', 22447},
						[3] = {['chance'] = '±5%', 22448},
					}
				}
			},
			{
				['min'] = 31, ['max'] = 31, ['expansion'] = 1,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 22446},
						[2] = {['chance'] = '±25%', 22445},
						[3] = {['chance'] = '±5%', 22449},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 22445},
						[2] = {['chance'] = '±25%', 22446},
						[3] = {['chance'] = '±5%', 22449},
					}
				}
			},
			
			-- Wrath of the Lich King results --
			{
				['min'] = 32, ['max'] = 33, ['expansion'] = 2,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 34056},
						[2] = {['chance'] = '±25%', 34054},
						[3] = {['chance'] = '±5%', 34053},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 34054},
						[2] = {['chance'] = '±25%', 34056},
						[3] = {['chance'] = '±5%', 34053},
					}
				}
			},
			{
				['min'] = 34, ['max'] = 35, ['expansion'] = 2,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 34055},
						[2] = {['chance'] = '±25%', 34054},
						[3] = {['chance'] = '±5%', 34052},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 34054},
						[2] = {['chance'] = '±25%', 34055},
						[3] = {['chance'] = '±5%', 34052},
					}
				}
			},
			
			-- Cataclysm results --
			{
				['min'] = 36, ['max'] = 36, ['expansion'] = 3,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 52718},
						[2] = {['chance'] = '±25%', 52555},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 52555},
						[2] = {['chance'] = '±25%', 52718},
					}
				}
			},
			{
				['min'] = 37, ['max'] = 37, ['expansion'] = 3,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 52719},
						[2] = {['chance'] = '±25%', 52555},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 52555},
						[2] = {['chance'] = '±25%', 52719},
					}
				}
			},
			
			-- Mist of Pandaria results --
			{
				['min'] = 38, ['max'] = 39, ['expansion'] = 4,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 74249},
						[2] = {['chance'] = '±25%', 74250},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 74249},
						[2] = {['chance'] = '±25%', 74250},
					}
				}
			},
			
			-- Warlords of Draenor results --
			{
				['min'] = 40, ['max'] = 44, ['expansion'] = 5,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 109693},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 109693},
					}
				}
			},
			
			-- Legion results --
			{
				['min'] = 45, ['max'] = 48, ['expansion'] = 6,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 124440},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 124440},
					}
				}
			},
			
			-- Battle for Azeroth results --
			{
				['min'] = 49, ['max'] = 52, ['expansion'] = 7,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 152875},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 152875},
					}
				}
			},
			
			-- Shadowlands results --
			{
				['min'] = 85, ['max'] = 999, ['expansion'] = 8,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 172230},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 172230},
					}
				}
			},
		},
		[3] = {
			{
				['min'] = 17, ['max'] = 24, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 14343},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 14343},
					}
				}
			},
			{
				['min'] = 25, ['max'] = 29, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 14344},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 14344},
					}
				}
			},
			
			-- The Burning Crusade results --
			{
				['min'] = 30, ['max'] = 30, ['expansion'] = 1,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 22448},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 22448},
					}
				}
			},
			{
				['min'] = 31, ['max'] = 31, ['expansion'] = 1,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 22449},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 22449},
					}
				}
			},
			
			-- Wrath of the Lich King results --
			{
				['min'] = 32, ['max'] = 33, ['expansion'] = 2,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 34053},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 34053},
					}
				}
			},
			{
				['min'] = 34, ['max'] = 35, ['expansion'] = 2,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 34052},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 34052},
					}
				}
			},
			
			-- Cataclysm results --
			{
				['min'] = 36, ['max'] = 36, ['expansion'] = 3,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 52720},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 52720},
					}
				}
			},
			{
				['min'] = 37, ['max'] = 37, ['expansion'] = 3,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 52721},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 52721},
					}
				}
			},
			
			-- Mist of Pandaria results --
			{
				['min'] = 38, ['max'] = 38, ['expansion'] = 4,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±95%', 74252},
						[2] = {['chance'] = '±5%', 74247},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±95%', 74252},
						[2] = {['chance'] = '±5%', 74247},
					}
				}
			},
			{
				['min'] = 39, ['max'] = 39, ['expansion'] = 4,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±95%', 74247},
						[2] = {['chance'] = '±5%', 74252},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±95%', 74247},
						[2] = {['chance'] = '±5%', 74252},
					}
				}
			},
			
			-- Warlords of Draenor results --
			{
				['min'] = 42, ['max'] = 44, ['expansion'] = 5,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±25%', 111245},
						[2] = {['chance'] = '±5%', 115502, 115504, 113588},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±25%', 111245},
						[2] = {['chance'] = '±5%', 115502, 115504, 113588},
					}
				}
			},
			
			-- Legion results --
			{
				['min'] = 45, ['max'] = 46, ['expansion'] = 6,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 124441},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 124441},
					}
				}
			},
			
			-- Battle for Azeroth results --
			{
				['min'] = 51, ['max'] = 84, ['expansion'] = 7,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 152876},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 152876},
					}
				}
			},
			
			-- Shadowlands results --
			{
				['min'] = 85, ['max'] = 999, ['expansion'] = 8,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 172231},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 172231},
					}
				}
			},
		},
		[4] = {
			{
				['min'] = 29, ['max'] = 30, ['expansion'] = 0,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 14344},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 14344},
					}
				}
			},
			
			-- The Burning Crusade results --
			{
				['min'] = 30, ['max'] = 34, ['expansion'] = 1,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 22450},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 22450},
					}
				}
			},
			
			-- Wrath of the Lich King results --
			{
				['min'] = 35, ['max'] = 36, ['expansion'] = 2,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 34057},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 34057},
					}
				}
			},
			
			-- Cataclysm results --
			{
				['min'] = 37, ['max'] = 38, ['expansion'] = 3,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 52722},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 52722},
					}
				}
			},
			
			-- Mist of Pandaria results --
			{
				['min'] = 39, ['max'] = 42, ['expansion'] = 4,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 74248},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 74248},
					}
				}
			},
			
			-- Warlords of Draenor results --
			{
				['min'] = 43, ['max'] = 47, ['expansion'] = 5,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 113588},
						[2] = {['chance'] = '±25%', 115504},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±75%', 113588},
						[2] = {['chance'] = '±25%', 115504},
					}
				}
			},
			
			-- Legion results --
			{
				['min'] = 50, ['max'] = 50, ['expansion'] = 6,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 124442},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 124442},
					}
				}
			},
			
			-- Battle for Azeroth results --
			{
				['min'] = 58, ['max'] = 100, ['expansion'] = 7,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 152877},
						[2] = {['chance'] = '±35%', 152876},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 152877},
						[2] = {['chance'] = '±35%', 152876},
					}
				}
			},
			
			-- Shadowlands results --
			{
				['min'] = 85, ['max'] = 999, ['expansion'] = 8,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±35%', 172231},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '±35%', 172231},
					}
				}
			},
			{
				['min'] = 101, ['max'] = 999, ['expansion'] = 8,
				['weapon'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 172232},
					},
				},
				['armor'] = {
					['skill'] = 1,
					['items'] = {
						[1] = {['chance'] = '100%', 172232},
					}
				}
			},
		},
	};

	table_disenchant = {
		[10938] = { -- Lesser Magic Essence
			['skill'] = 1,
			['min'] = 1, ['max'] = 8,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[10939] = { -- Greater Magic Essence
			['skill'] = 1,
			['min'] = 9, ['max'] = 16,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[10940] = { -- Strange Dust
			['skill'] = 1,
			['min'] = 1, ['max'] = 16,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[16204] = { -- Light Illusion Dust
			['skill'] = 1,
			['min'] = 17, ['max'] = 24,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[156930] = { -- Rich Illusion Dust
			['skill'] = 1,
			['min'] = 25, ['max'] = 29,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[14343] = { -- Small Brilliant Shard
			['skill'] = 1,
			['min'] = 17, ['max'] = 24,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[14344] = { -- Large Brilliant Shard
			['skill'] = 1,
			['min'] = 25, ['max'] = 30,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[3] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[16202] = { -- Lesser Eternal Essence
			['skill'] = 1,
			['min'] = 17, ['max'] = 24,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[16203] = { -- Greater Eternal Essence
			['skill'] = 1,
			['min'] = 25, ['max'] = 29,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		
		-- The Burning Crusade materials --
		[22445] = { -- Arcane Dust
			['skill'] = 1,
			['min'] = 30, ['max'] = 31,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[22446] = { -- Greater Planar Essence
			['skill'] = 1,
			['min'] = 31, ['max'] = 31,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[22447] = { -- Lesser Planar Essence
			['skill'] = 1,
			['min'] = 30, ['max'] = 30,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[22448] = { -- Small Prismatic Shard
			['skill'] = 1,
			['min'] = 30, ['max'] = 30,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[22449] = { -- Large Prismatic Shard
			['skill'] = 1,
			['min'] = 31, ['max'] = 31,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[22450] = { -- Void Crystal
			['skill'] = 1,
			['min'] = 30, ['max'] = 34,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- Wrath of the Lich King materials --
		[34052] = { -- Dream Shard
			['skill'] = 1,
			['min'] = 34, ['max'] = 35,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[34053] = { -- Small Dream Shard
			['skill'] = 1,
			['min'] = 32, ['max'] = 33,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[34054] = { -- Infinite Dust
			['skill'] = 1,
			['min'] = 32, ['max'] = 35,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[34055] = { -- Greater Cosmic Essence
			['skill'] = 1,
			['min'] = 34, ['max'] = 35,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[34056] = { -- Lesser Cosmic Essence
			['skill'] = 1,
			['min'] = 32, ['max'] = 33,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[34057] = { -- Abyss Crystal
			['skill'] = 1,
			['min'] = 35, ['max'] = 36,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- Cataclysm materials --
		[52555] = { -- Hypnotic Dust
			['skill'] = 1,
			['min'] = 36, ['max'] = 37,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[52718] = { -- Lesser Celestial Essence
			['skill'] = 1,
			['min'] = 36, ['max'] = 36,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[52719] = { -- Greater Celestial Essence
			['skill'] = 1,
			['min'] = 37, ['max'] = 37,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[52720] = { -- Dream Shard
			['skill'] = 1,
			['min'] = 36, ['max'] = 36,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[52721] = { -- Small Dream Shard
			['skill'] = 1,
			['min'] = 37, ['max'] = 37,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[52722] = { -- Maelstrom Crystal
			['skill'] = 1,
			['min'] = 37, ['max'] = 38,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- Mist of Pandaria materials --
		[74247] = { -- Ethereal Shard
			['skill'] = 1,
			['min'] = 38, ['max'] = 39,
			['text'] = {
				[1] = {['chance'] = '±95% (39)', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5% (38)', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[74248] = { -- Sha Crystal
			['skill'] = 1,
			['min'] = 39, ['max'] = 42,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[74249] = { -- Spirit Dust
			['skill'] = 1,
			['min'] = 38, ['max'] = 39,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
			},
		},
		[74250] = { -- Mysterious Essence
			['skill'] = 1,
			['min'] = 38, ['max'] = 39,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 2, ['type'] = {_G['WEAPON']}},
				[2] = {['chance'] = '±25%', ['quality'] = 2, ['type'] = {_G['ARMOR']}},
			},
		},
		[74252] = { -- Small Ethereal Shard
			['skill'] = 1,
			['min'] = 38, ['max'] = 39,
			['text'] = {
				[1] = {['chance'] = '±95% (38)', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5% (39)', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- Warlords of Draenor materials --
		[109693] = { -- Draenic Dust
			['skill'] = 1,
			['min'] = 40, ['max'] = 44,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[111245] = { -- Luminous Shard
			['skill'] = 1,
			['min'] = 42, ['max'] = 44,
			['text'] = {
				[1] = {['chance'] = '±25%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[113588] = { -- Temporal Crystal
			['skill'] = 1,
			['min'] = 42, ['max'] = 47,
			['text'] = {
				[1] = {['chance'] = '±75%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[115502] = { -- Small Luminous Shard
			['skill'] = 1,
			['min'] = 42, ['max'] = 44,
			['text'] = {
				[1] = {['chance'] = '±5%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[115504] = { -- Fractured Temporal Crystal
			['skill'] = 1,
			['min'] = 42, ['max'] = 47,
			['text'] = {
				[1] = {['chance'] = '±25%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±5%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- Legion materials --
		[124440] = { -- Arkhana
			['skill'] = 1,
			['min'] = 45, ['max'] = 48,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[124441] = { -- Leylight Shard
			['skill'] = 1,
			['min'] = 45, ['max'] = 46,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[124442] = { -- Chaos Crystal
			['skill'] = 1,
			['min'] = 50, ['max'] = 50,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- Battle for Azeroth materials --
		[152875] = { -- Gloom Dust
			['skill'] = 1,
			['min'] = 49, ['max'] = 52,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[152876] = { -- Umbra Shard
			['skill'] = 1,
			['min'] = 51, ['max'] = 100,
			['text'] = {
				[1] = {['chance'] = '100% (51 - 84)', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±25% (58 - 100)', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[152877] = { -- Veiled Crystal
			['skill'] = 1,
			['min'] = 58, ['max'] = 100,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		
		-- Shadowlands materials --
		[172230] = { -- Soul Dust
			['skill'] = 1,
			['min'] = 85, ['max'] = 259,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 2, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[172231] = { -- Sacred Shard
			['skill'] = 1,
			['min'] = 85, ['max'] = 259,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 3, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
				[2] = {['chance'] = '±35%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
		[172232] = { -- Eternal Crystal
			['skill'] = 1,
			['min'] = 101, ['max'] = 259,
			['text'] = {
				[1] = {['chance'] = '100%', ['quality'] = 4, ['type'] = {_G['ARMOR'], _G['WEAPON']}},
			},
		},
	};
end